%global modulename upath

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-upath
Version:        1.1.0
Release:        1%{?dist}
Summary:        A proxy to `path`, replacing `\` with `/` for all results & new methods to normalize & join keeping leading `./` and add, change, default, trim file extensions.

License:        MIT
URL:            http://github.com/anodynos/upath/
Source0:        https://registry.npmjs.org/upath/-/upath-1.1.0.tgz



BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch


Requires:       npmlib(%{modulename}) = %{version}

%description
A proxy to `path`, replacing `\` with `/` for all results & new methods to normalize & join keeping leading `./` and add, change, default, trim file extensions.

%package 1.1.0
Summary:        A proxy to `path`, replacing `\` with `/` for all results & new methods to normalize & join keeping leading `./` and add, change, default, trim file extensions.


%description 1.1.0
A proxy to `path`, replacing `\` with `/` for all results & new methods to normalize & join keeping leading `./` and add, change, default, trim file extensions.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr build %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr upath.d.ts %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
%{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc readme.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 1.1.0
%doc readme.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Wed Dec 5 2018 npm2srpm <dshea@redhat.com> - 1.1.0-1
- Package automatically generated by npm2srpm
